# $Revision: 1.61 $, $Date: 2012/01/27 22:33:47 $
# TODO: utempter support
#
# Conditional build:
%bcond_with	256colors	# build with 256 color support
#
%include	/usr/lib/rpm/macros.perl
Summary:	Rxvt terminal with unicode support and some improvements
Summary(pl.UTF-8):	Terminal Rxvt z obsługą unicode i kilkoma usprawnieniami
Name:		urxvt
Version:	9.15
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://dist.schmorp.de/rxvt-unicode/rxvt-unicode-%{version}.tar.bz2
# Source0-md5:	15595aa326167ac5eb68c28d95432faf
Source1:	%{name}.desktop
URL:		http://software.schmorp.de/
Patch0:		%{name}-tic.patch
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	fontconfig-devel
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	libstdc++-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	zlib-devel
Requires:	terminfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
URxvt is a Rxvt modification which includes:
- unicode support
- xft font support (antialiasing)
- background pixmaps
- background tinting
- real transparency

%description -l pl.UTF-8
URxvt jest modyfikacją Rxvt uwzględniającą:
- obsługę unicode
- obsługę czcionek xft (antialiasing)
- możliwość ustawienia grafiki jako tła
- cieniowanie tła
- prawdziwą przezroczystość

%prep
%setup -q -n rxvt-unicode-%{version}
%patch0 -p1

%build
%{__aclocal} -I.
%{__autoheader}
%{__autoconf}
%configure \
%if %{with 256colors}
	--enable-256-color \
%endif
	--enable-everything \
	--enable-mousewheel \
	--enable-next-scroll \
	--with-term=rxvt \
	--disable-afterimage \
	--enable-smart-resize

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
echo '.so urxvtc.1' >$RPM_BUILD_ROOT%{_mandir}/man1/urxvtd.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes doc/README.xvt
%attr(755,root,root) %{_bindir}/urxvt*
%{_libdir}/%{name}
%{_desktopdir}/urxvt.desktop
%{_mandir}/man1/urxvt*.1*
%{_mandir}/man3/urxvtperl.3*
%{_mandir}/man7/urxvt.7*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: urxvt.spec,v $
Revision 1.61  2012/01/27 22:33:47  cactus
- up to 9.15 + fix tic

Revision 1.60  2011/07/03 11:23:46  qboosh
- updated to 9.12

Revision 1.59  2011/05/03 13:42:43  qboosh
- updated to 9.11
- BR: gdk-pixbuf2-devel (for background image loading)

Revision 1.58  2011/01/30 15:50:00  sparky
- BR: automake

Revision 1.57  2010/12/16 12:12:24  atler
- up to 9.10
- urxvt-fontconfig.patch applied upstream
- restore 256colors bcond
- don't pass flags to make - ac/am handles them correctly

Revision 1.56  2010/11/25 13:43:34  atler
- urxvt heavily depends on internal libev so drop BR: libev which was wrong
  anyway

Revision 1.55  2010/11/25 13:28:28  atler
- fontconfig linking patch (fixes TODO)
- run aclocal to properly regenerate configure
- remove unneeded BR: fontconfig-libs
- rel 1

Revision 1.54  2010/11/13 15:46:16  caleb
- Up to 9.09, NFY
- TODO: Fix build errors, fontconfig dependency?
- Removed previously unsupported 256 color patch, integrated upstream

Revision 1.53  2010/06/06 08:53:45  arekm
- release 2

Revision 1.52  2010/01/19 13:17:19  sparky
- BR: pkgconfig, rpm-perlprov

Revision 1.51  2010/01/19 04:13:15  draenog
- up to 9.07
- remove gcc44.patch (fixed upstream)
- fix building with AfterStep installed

Revision 1.50  2009/12/01 19:03:05  lkrotowski
- added gcc 4.4 patch
- added bcond for unsupported 256 colors patch
- removed unused configure parameters

Revision 1.49  2008/11/09 08:13:34  uzsolt
- up to 9.06

Revision 1.48  2008/08/27 15:37:22  qboosh
- updated to 9.05

Revision 1.47  2008/02/19 22:14:11  qboosh
- updated to 9.02

Revision 1.46  2008-02-19 16:50:56  wolf
- rel 2

Revision 1.45  2007-12-27 08:46:43  adamg
- updated to 8.9; m4 patch no longer needed

Revision 1.44  2007-12-16 14:33:12  qboosh
- updated to 8.8
- added m4 patch

Revision 1.43  2007-11-03 21:27:39  qboosh
- removed obsolete ldconfig calls

Revision 1.42  2007/11/03 21:04:55  qboosh
- GPL v2+
- little cleanup

Revision 1.41  2007/10/28 11:39:24  areq
- 8.4

Revision 1.40  2007/02/18 10:49:10  areq
- 8.2

Revision 1.39  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.38  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.37  2006/08/27 19:37:51  areq
- BR perl-devel

Revision 1.36  2006/08/26 21:25:38  havner
- rel 3

Revision 1.35  2006/08/09 22:24:51  qboosh
- added utmp patch, release 2

Revision 1.34  2006/08/07 20:40:29  areq
- 7.9

Revision 1.33  2006/03/09 13:11:36  pluto
- release 2.

Revision 1.32  2006/03/03 22:20:58  qboosh
- missing -devel in BRs

Revision 1.31  2006/02/28 00:11:13  wolf
- 7.7
- modular xorg deps

Revision 1.30  2006/02/05 15:34:22  glen
- removed junk

Revision 1.29  2006/02/05 14:55:23  freetz
- 7.5, placed perl stuff (just packaged), adjusted autotools regeneration

Revision 1.28  2006/01/15 15:36:17  areq
- 7.0

Revision 1.27  2006/01/06 22:32:35  freetz
- 6.3, unpackaged perl stuff

Revision 1.26  2005/12/26 16:33:46  qboosh
- added link patch to kill unnecessary -lnsl
- ac cleanup, release 2

Revision 1.25  2005/12/18 23:03:28  freetz
- 5.9

Revision 1.24  2005/12/15 16:54:11  freetz
- 5.8

Revision 1.23  2005/11/27 18:55:04  zbyniu
- BR: libstdc++-devel

Revision 1.22  2005/07/14 07:33:33  freetz
- 5.7

Revision 1.21  2005/07/07 16:27:35  freetz
- 5.6, cleanup, use our optflags

Revision 1.20  2005/03/21 10:05:17  krolik
- updated to ver. 5.3 (fixed Long Escape Sequence Buffer Overflow)
- liburxvt.so was dropped in this version.
- STBR, package works.

Revision 1.19  2005/02/13 15:43:40  areq
- 5.0

Revision 1.18  2005/02/04 20:09:12  areq
- 4.9

Revision 1.17  2005/01/18 08:28:06  areq
- 4.8

Revision 1.16  2004/12/30 10:49:52  areq
- 4.7

Revision 1.15  2004/12/17 08:47:40  areq
- 4.6

Revision 1.14  2004/12/12 01:24:53  havner
- R: terminfo
- rel 2

Revision 1.13  2004/12/04 17:56:15  areq
- 4.3

Revision 1.12  2004/10/28 15:30:42  baggins
- release 2
- added shared liburxvt

Revision 1.11  2004/09/20 11:44:52  undefine
- update to 4.0 by Kamil Kosiński <paladine@palanthas.homelinux.org>

Revision 1.10  2004/08/25 15:20:18  areq
- 3.8

Revision 1.9  2004/08/14 09:39:28  areq
- 3.6

Revision 1.8  2004/08/12 13:58:24  havner
- fix home/end, don't define LINUX_KEYS
- rel 2

Revision 1.7  2004/08/11 09:58:25  areq
- 3.5

Revision 1.6  2004/08/07 19:17:25  areq
- 3.4

Revision 1.5  2004/07/31 18:00:50  areq
- 3.3

Revision 1.4  2004/07/11 15:48:49  qboosh
- fixed man link

Revision 1.3  2004/07/11 15:22:15  havner
- build, works, and is great

Revision 1.2  2004/07/11 12:24:35  havner
- DON'T touch that, I'll finish it later

Revision 1.1  2004/07/11 11:43:20  havner
- initial, NFY
